/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.extension.brick;

import org.fortiss.af3.component.model.OutputPort;
import org.fortiss.af3.platform.raspberry.generator.framework.IWriteableGeneratorExtension;
import org.fortiss.af3.platform.raspberry.model.brick.LEDButtonRActuator;

/**
 * Generator extension for {@link LEDButtonRActuator}s.
 * 
 * @author hoelzl
 */
public class LEDButtonRActuatorGeneratorExtension extends
		BrickGeneratorExtensionBase<LEDButtonRActuator> implements IWriteableGeneratorExtension {
	/** Constructor. */
	public LEDButtonRActuatorGeneratorExtension(LEDButtonRActuator modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	public String getWriteCode(String postfix, String singletonPostfix, OutputPort logicalSignal,
			String value) {
		return "// FIXME: " + logicalSignal.getName() + " is deployed onto " +
				modelElement.getName() + "\n";
	}

	/** {@inheritDoc} */
	@Override
	public String getNoValWriteCode(String postfix, String singletonPostfix,
			OutputPort logicalSignal) {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public String getHeaderFileName() {
		return "bricklet_rgb_led_button.h";
	}
}
